classdef SCDclass_mdsparscalarbool < SCDclass_mdspar
    % A constant boolean MDS+ parameter
    
    properties
    end
    
    methods
        function obj=SCDclass_mdsparscalarbool(srctdimodel, destparam, varargin)
            obj@SCDclass_mdspar();
            % Constructor parser customization definitions here
            obj=obj.parseconstructor(srctdimodel, destparam, varargin);
            % Constructor parser customization results here
            obj.classname=class(obj);
            obj.marteclassname='MDSParScalarBool';
        end
        
        function actualizedata(obj, shot) 
             obj=obj.preactualize(shot);
             if ~obj.actualizable, return; end
             obj.caststring=sprintf('%s=logical(%s);',obj.assignvar,obj.assignvar);
             obj.postactualize(shot);
        end
                
        function [obj, value] = getdata(obj, shot)
             [obj,value]=getdata@SCDclass_mdspar(obj,shot);
             value=uint8(value);
        end
   
        function printinfo(obj)
            printinfo@SCDclass_mdspar(obj);
        end
           
        function entrystring = genMARTe2entry(obj, shot)
            entrystring=obj.genMARTe2entrypreamble(shot);
            entrystring=[entrystring ' }'];
        end

        function out = casttomds(obj, in)
            out = uint8(in);
        end
        
    end
end

